Skip to main content
GET
/
v1
/
applications
List Applications
curl --request GET \
  --url https://api.siit.io/v1/applications \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "count": 123,
    "current_page": 123,
    "next_page_link": "<string>",
    "per_page": 20,
    "previous_page_link": "<string>",
    "total": 123
  },
  "results": [
    {
      "uid": "<string>",
      "about": "<string>",
      "app_link": "<string>",
      "app_owner": "<string>",
      "app_owner_uid": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "discovered_at": "2023-12-25",
      "lifecycle": "deprecated",
      "name": "<string>",
      "renewal_date": "2023-12-25",
      "status": "discovered",
      "total_annual_cost": 0,
      "updated_at": "2023-11-07T05:31:56Z",
      "users_count": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.siit.io/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

Please note archived applications are NOT returned.

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

expand[]
string[]

Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags

status_in[]
enum<string>[]

Filter by Application's status.

Available options:
discovered,
approved,
restricted
created_after
string<date-time>

Filter Application created after a DateTime (ISO 8601).

created_before
string<date-time>

Filter Application created before a DateTime (ISO 8601).

updated_after
string<date-time>

Filter Application updated after a DateTime (ISO 8601).

updated_before
string<date-time>

Filter Application updated before a DateTime (ISO 8601).

page
integer

The current page

per_page
integer

Number of results retrieved per page.

Response

Successful

meta
object
results
object[]